#include <iostream>


/*

  Illustration de la non répartition uniforme de RANDU :
  on simule une suite de points dans [0,1]^3.
  
*/


unsigned N = 0x80000000U;
int randu(void)
{
  static int x = 1; // Graine du generateur
  x = ( 65539 * x ) % N;
  return x;
}



int main(void)
{
  for (int i=0; i<10000;i++)
	std::cout << "  " << randu()/(double)N << "  " << randu()/(double)N << "  " << randu()/(double)N << "\n";

  /*
	randu() renvoi des valeurs dans {1,...,N-1}, alors que
	randu()/(double)N renvoie des valeurs dans ]0,1[.
  */
  
  return 0;

}
